Resumo
- AIS percorre, a jusante, o LSP de cliente afetado e principalmente reduz alarmes em cascata na camada cliente; não é, sozinho, uma decisão de falha do servidor.
- O L-Flag só pode ser definido depois que uma falha do servidor foi declarada. Um LDI com L-Flag definido pode ser tratado como LOC do cliente, mas pode ser ignorado quando o CC rápido já detecta a falha, conforme o tratamento local.
- LKR comunica bloqueio administrativo, não falha. Seu L-Flag deve ser zero e é ignorado na recepção. R-Flag só limpa uma condição com tipo de mensagem e IF_ID correspondentes.
O RFC 6427 separa AIS e LKR como mensagens para condições disruptivas diferentes: falha e bloqueio administrativo. Um servidor ou nó intermediário pode emitir a indicação no LSP de cliente afetado, mas o MEP receptor continua responsável por validar, interpretar e aplicar o tratamento local. Assim, evidência do nó, declaração de falha do servidor e ação no cliente são autoridades distintas.
As mensagens FM usam o canal FM do G-ACh, tipo 0x0058, e não devem conter o cabeçalho ACh TLV. O receptor deve validar tipo e versão da mensagem e ignorar tipo ou versão desconhecidos. Um fixture concreto de verificação de pacote contém 0x0058, tipo e versão FM permitidos, L-Flag/R-Flag de AIS ou LKR, Refresh Timer, IF_ID e identidade global correlacionável. O canal correto, isoladamente, não autentica a origem.
O Refresh Timer permitido vai de 1 a 20 segundos. O emissor transmite imediatamente, envia mais duas vezes em intervalos de um segundo e, enquanto a condição persistir, repete no intervalo anunciado. Quando as atualizações param, a condição é limpa após 3,5 vezes o Refresh Timer. Uma limpeza rápida opcional define R-Flag e repete três mensagens; se uma falha nova surgir, o emissor interrompe essas retransmissões de limpeza. O MEP receptor só limpa quando tipo e IF_ID coincidem; um R-Flag sem correspondência não apaga outra condição.
AIS com L-Flag limpo pode indicar uma falha enquanto a proteção ainda deve restaurar o serviço, mas não autoriza concluir que houve falha do servidor. Definir o L-Flag depende da declaração dessa falha. LKR identifica um bloqueio planejado ou administrativo e permite distingui-lo de uma falha. Tratar LDI como LOC de cliente, ou considerá-lo dispensável porque o CC rápido já cobre a detecção, é uma decisão do receptor e de sua configuração, não uma ordem automática do emissor.
Caminho de decisão do operador
- Identifique o LSP de cliente afetado, o servidor ou nó intermediário emissor, o MEP receptor e o tratamento local configurado.
- Confira no pacote 0x0058, tipo/versão, L-Flag, R-Flag, Refresh Timer, IF_ID e identidade; confirme também a ausência do cabeçalho ACh TLV.
- Registre separadamente a evidência do servidor/intermediário, o estado de proteção e a declaração de falha. Não transforme silêncio de alarme em prova de causa-raiz.
- Trate AIS com L-Flag limpo como indicação de falha sem declaração de falha do servidor. Com L-Flag definido, aplique a regra local para LOC ou para a condição já coberta pelo CC rápido.
- Trate LKR como bloqueio administrativo, não como falha. Aceite uma limpeza somente para tipo e IF_ID correspondentes.
- Se a atualização faltar, observe a limpeza após 3,5 vezes o timer e investigue perda, estado do emissor e configuração; não declare recuperação automaticamente.
Os fatos vêm do RFC 6427 e de sua errata oficial. O RFC 5586 é usado apenas para o transporte no G-ACh; RFC 5654, para requisitos de MPLS-TP; RFC 5860, para requisitos de OAM; RFC 5921, para a arquitetura de transporte; RFC 6370, para identificadores; e RFC 6371, para a estrutura de OAM e os limites entre camadas. Esses textos não demonstram adoção por fornecedores, prevalência de implantação, redução medida de alarmes, valor comercial ou resultado para clientes. A análise de Elias Ward é que separar as autoridades permite distinguir ruído em cascata de investigação da causa-raiz; não é uma alegação de medição de melhoria.
Evidência do nó, configuração do operador, declaração de falha do servidor e validação/tratamento do MEP receptor devem permanecer separados. Não há alegações no pacote de fatos. Adoção, prevalência, redução real, impacto comercial e impacto para clientes permanecem desconhecidos.
Fontes
Briefing para membros
Contexto aprofundado do perfil
Faça login com o nível de assinatura correto para desbloquear o briefing completo e as notas das fontes.
Apenas para Strategic Circle
Strategic Circle
Aberto a todos os leitores. Desbloqueie Briefings de perfil após se inscrever e fazer login.
Junte-se ao Strategic CircleSomente para Leadership Alliance
Leadership Alliance
Para proprietários e gestores qualificados de ativos de PI; faça login para desbloquear os briefings da Leadership Alliance.
Junte-se ao Leadership Alliance

